#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	PyMySQL
Summary:	Pure Python MySQL Client
Name:		python-%{module}
Version:	0.7.4
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/PyMySQL/PyMySQL/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	e5d21154a71e5f6e73bcb3fd7659c642
URL:		https://github.com/PyMySQL/PyMySQL
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a pure-Python MySQL client library.

The goal of PyMySQL is to be a drop-in replacement for MySQLdb and
work on CPython, PyPy and IronPython.

%package -n python3-%{module}
Summary:	Pure Python MySQL Client
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This package contains a pure-Python MySQL client library.

The goal of PyMySQL is to be a drop-in replacement for MySQLdb and
work on CPython, PyPy and IronPython.

%prep
%setup  -q -n PyMySQL-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/pymysql/tests
%endif

%if %{with python3}
%py3_install
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/pymysql/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst CHANGELOG LICENSE
%{py_sitescriptdir}/pymysql
%{py_sitescriptdir}/PyMySQL-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst CHANGELOG LICENSE
%{py3_sitescriptdir}/pymysql
%{py3_sitescriptdir}/PyMySQL-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyMySQL.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> f23b46b
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 47b8cc6
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 660cb2c
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e35559e
- python 3.6
- release 2 (by relup.sh)

* Tue Jun 14 2016 Elan Ruusamäe <glen@delfi.ee> 84ff5ff
- up to 0.7.4; build python3 package from here as well

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 88141fa
- use rpm python macros
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f5a28c3
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 409e4a5
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> afb5801
- automatic change: use py_build/py_install macros

* Sat Nov 12 2011 Artur Frysiak <artur@frysiak.net> 44715f5
- up to 0.5

* Fri Jul 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8457718
- initial

